<template>
    <div class="all-command-rectangle">
        <div class="p-3">
            <h3><strong>Commands</strong></h3>
            <hr class="lign">
            <!--<div class="command-rectangle row mt-1">
                <h6>{{ restaurant.name }}</h6>
            {{ restaurant.stars }} stars <br>
            à {{ restaurant.distance }} km - {{ restaurant.livraison }}€ de livraison
            </div>
            <div class="command-rectangle row mt-3">
                                <b-container>
                    <b-row>
                        <b-col cols="3">
                            <p class="day"> 17 </p>
                            <p class="month"> January </p>
                        </b-col>
                        <b-col cols="4">
                            <p class="restaurant-name"> Le coup de pouce </p>
                            <p class="hour"> 11H45 12H30 </p>
                        </b-col>
                        <b-col cols="2">
                            <div class="btn-outline-success">Livrée</div>
                        </b-col>
                        <b-col cols="3">
                            <p class="price"> 43.70€ </p>
                        </b-col>
                    </b-row>
                </b-container>

            </div>
            <div class="command-rectangle row mt-3">
                
            </div>
            <div class="command-rectangle row mt-3">
            </div>
        </div>-->
        <div class="col mt-1">
            <div class="col-12" v-for="command in commands" :key="command.id">
                <div class="command-rectangle">  
                    <p> <span class="day"> {{ command.day }} </span> <span class="restaurant"> {{ command.restaurant }} </span> <span class="hours"> {{ command.hours }} </span></p> 
                    <p> <span class="month"> {{ command.month }} </span> <span class="status"> {{ command.status }} </span> <span class="price"> {{ command.price }} </span> </p> 
                    <p> <span>   </span> </p> 
                </div>
            </div> 
        </div>
    </div>
    </div>
</template>

<script>
import Vue from 'vue';
export default Vue.extend({
  name: 'LatestRestaurantsComponent',
  props: {

  },

data: () => ({
    commands: [
        {
          id: 0,
          day: 17,
          month: "January",
          restaurant: "Le coup de pouce",
          hours: "11H45 - 12H30",
          status: "Livrée",
          price: "43,70€"
        },
        {
          id: 1,
          day: 24,
          month: "December",
          restaurant: "BukaCorn",
          hours: "17H00 - 17H30",
          status: "En route",
          price: "25,30€"
        }
      ]
   })
});
</script>

<style scoped>

.all-command-rectangle {
    background-color: #FFF1D8;
	width:350px;
	height:550px;
    border-radius: 20px;
    margin-top: 10px;
    margin-left: 15px;
    margin: auto;
}

.lign{
    width:100%;
    color:black;
    background-color:black;
    height:2px;
    border-radius: 10px;
}

.command-rectangle {
    background-color: #FFFFFF;
	width:320px;
	height:100px;
    border-radius: 20px;
    margin: auto;
    margin-top: 10px;
}

.day{
    font-size: 24px;
    margin-left: 5%;
    margin-top: 5%;
}

.month{
    font-size: 14px;
}

.restaurant{
    margin-top: 10%;
    font-size: 14px;
}

.hours{
    font-size: 14px;
}

.state{
    font-size: 14px;
}

.price{
    font-size: 18px;
}

</style>

